
a { color: #000; text-decoration: none; }

body {
  margin: 0;
  font-family: Arial, sans-serif;
  background-color: #fff;
  color: #000;
}

header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0.7rem;
  border-width: 0 0 1px 0;
}

footer {
  position: fixed;
  bottom: 0px;
  text-align: center;
  width: 100%;
  border-width: 1px 0 0 0;
}
header, #main-content, footer {
  background-color: #f9f9f9;
  border-style: solid;
  border-color: #ccc;
}

select, footer button {
  padding: 0.5rem;
  font-size: 0.9rem;
  cursor: pointer;
  background-color: inherit;
  color: inherit;
  border: 1px solid #ccc;
  border-radius: 5px;
}

footer button {
  cursor: pointer;
  background-color: inherit;
  color: inherit;
  border: 0px solid #666;
  border-radius: 0px;
/*
  padding-left: 0;
  padding-right: 0;
*/  
}

main {
  padding: 0.8rem;
  text-align: left;
  display: flex;
  flex-direction: column;
/*  justify-content: space-between; */
  height: calc(100vh - 220px);
  overflow: auto;
  max-width: 1200px;
  margin: 0 auto;
}

#main-content {
    border-width: 1px;
	border-style: solid;
    border-radius: 5px;
    padding: 1rem;
}

#main-content.home {
	background-color: transparent;
    border-color: transparent;
}

main h2 {
  text-align: center; 
  margin: 1rem 0;
  font-size: 1.3rem;
}


main .alignleft {
  text-align: left; 
}

main #main-description ul, main #main-description ol {
  padding-left: 15px;
  text-align: left;
}

.social-links {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 2rem;
  margin-bottom: 3rem; 
}

.instagram-links {
  background: #000;
  border-radius: 5px;
  border: 3px solid #fff;
  width: 100%;
  max-width: 500px;
  display: grid;
  grid-template-columns: 1fr 1fr;
  text-align: center; 
  padding: 1rem 0rem;
  position: relative;  
  margin-top: 1rem;
}
.instagram-links::after {
 content: "";
  position: absolute;
  top: 0;
  left: -50%;
  width: 10px;
  height: 100%;
  background: rgba(255, 255, 255, 0.6);
  filter: blur(5px);
  transform: skewX(0deg);
  animation: flash-stripe 4s infinite cubic-bezier(0.4, 0, 1, 1);
}

@keyframes flash-stripe {
  0% {
    left: 0%;
    opacity: 1;
  }
  5% {
    left: 100%;
    opacity: 1;
  }
  6% {
    left: 100%;
    opacity: 0;
  }
  100% {
    left: 100%;
    opacity: 0;
  }
}

.instagram-links::before {
  content: "";
  position: absolute;
  left: calc(50% - 28px);
  top: -30px;
  width: 54px;
  height: 54px;
  background-image: url('img/instagram_logo.png');
  background-size: cover;
  background-repeat: no-repeat;
  background-color: #fff;
  border-radius: 10px;
/*  box-shadow: 0px 0 10px 1px #fff; */
}
.instagram-links a {
  display: flex;
  justify-content: center;
  align-items: center;
}
.instagram-links a:first-child { border-right: 2px solid #fff; }

#accept { 
  font-size: 0.8rem; 
  text-align: center; 
  margin: 0.5rem 0.3rem;
}



@media (prefers-color-scheme: dark) {

  a { color: #fff; }

  body {
    background-color: #000;
    color: #fff;
  }

  header, div#main-content, footer {
    background-color: #333;
    border-color: #666;
  }

  select {
    background-color: #000;
    color: #fff;
    border: 1px solid #666;
  }
    footer button {
    background-color: inherit;
    color: #f0f0f0;
    border: 0px solid #666;
  }
}
